# List audit trail events

> 🔒 **Private label — [contact sales](mailto:sales@boyahq.com).** Requires a private-label entitlement on your API client.

List audit trail events

Endpoint: GET /audit-trail
Version: 2.0.0
Security: oauth2ClientCredentials

## Query parameters:

  - `page` (number)
    Page number

  - `limit` (number)
    Items per page (max 1000)

## Header parameters:

  - `business_id` (string, required)
    Business identifier for the request

## Response 200 fields (application/json):

  - `docs` (array)
    Audit event documents

  - `docs._id` (string)
    Audit event MongoDB ID

  - `docs.id` (string)
    Audit event ID

  - `docs.business` (string)
    Business ID

  - `docs.recordType` (string)
    Record type
    Enum: "ACTIVITY", "MODIFICATION", "CREATION", "DELETION"

  - `docs.description` (string)
    Event description

  - `docs.person` (string)
    Person who performed the action

  - `docs.item` (string)
    Item type affected
    Enum: "LOGIN", "SUBSCRIPTION", "INVESTMENT", "EXPENSE", "TRANSACTION", "EMPLOYEE", "VENDOR"

  - `docs.ip_address` (string)
    IP address of the request

  - `docs.location` (string)
    Location country code

  - `docs.recordIds` (array)
    Related record IDs

  - `docs.createdAt` (string)
    Created timestamp

  - `docs.updatedAt` (string)
    Updated timestamp

  - `total` (number)
    Total count

  - `limit` (number)
    Limit per page

  - `page` (number)
    Current page

  - `pages` (number)
    Total pages

